server:
  port: 0
  servlet:
    context-path: /csmsservice

springdoc:
  swagger-ui:
    path: /swagger

  api-docs:
    path: /api-docs
feign:
  hystrix:
    enabled: true
---

resilience4j:
  circuitbreaker:
    instances:
      productService:
        registerHealthIndicator: true
        eventConsumerBufferSize: 10
        automaticTransitionFromOpenToHalfOpenEnabled: true
        failureRateThreshold: 50
        minimumNumberOfCalls: 5
        permittedNumberOfCallsInHalfOpenState: 3
        slidingWindowSize: 10
        waitDurationInOpenState: 5s
        slidingWindowType: COUNT_BASED
management:
  health:
    circuitbreakers:
      enabled: true
  endpoints:
    web:
      exposure:
        include: health
  endpoint:
    health:
      show-details: always
---


logging:
  file:
    path: ./
    name: logfile.log
---
---
servlet:
  multipart:
    enabled: true
    max-file-size: 10MB
    max-request-size: 15MB


spring:
  application:
    name: csms-service
eureka:
  client:
    serviceUrl:
      defaultZone: ${EUREKA_URI:http://localhost:8761/eureka}
    enabled: true
